## marble marble — Applies a marbling effect to the image |

## Synopsis

    struct              GstMarble;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstGeometricTransform
                                           +----GstMarble

## Properties

      "amount"                   gdouble               : Read / Write
      "turbulence"               gdouble               : Read / Write
      "x-scale"                  gdouble               : Read / Write
      "y-scale"                  gdouble               : Read / Write

## Description

## Synopsis

### Element Information

plugin | geometrictransform
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstMarble

    struct GstMarble;

## Property Details

### The `"amount"` property

      "amount"                   gdouble               : Read / Write

Amount of effect.

Allowed values: [0,1]

Default value: 1

### The `"turbulence"` property

      "turbulence"               gdouble               : Read / Write

Turbulence of the effect.

Allowed values: [0,1]

Default value: 1

### The `"x-scale"` property

      "x-scale"                  gdouble               : Read / Write

X scale of the texture.

Allowed values: >= 0

Default value: 4

### The `"y-scale"` property

      "y-scale"                  gdouble               : Read / Write

Y scale of the texture.

Allowed values: >= 0

Default value: 4